<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yd.csf.service.dao.CustomerExpandMapper">

    <resultMap id="BaseResultMap" type="com.yd.csf.service.model.CustomerExpand">
        <id property="id" column="id"/>
        <result property="customerExpandBizId" column="customer_expand_biz_id"/>
        <result property="customerBizId" column="customer_biz_id"/>
        <result property="customerType" column="customer_type"/>
        <result property="residenceAreaCode" column="residence_area_code"/>
        <result property="residenceTelephone" column="residence_telephone"/>
        <result property="longtimeAbroad" column="longtime_abroad"/>
        <result property="addressList" column="address_list"/>
        <result property="residenceAddress" column="residence_address"/>
        <result property="residentialAddress" column="residential_address"/>
        <result property="mailingAddress" column="mailing_address"/>
        <result property="companyAddress" column="company_address"/>
        <result property="companyName" column="company_name"/>
        <result property="companyAreaCode" column="company_area_code"/>
        <result property="companyAddressPostcode" column="company_address_postcode"/>
        <result property="companyTelephone" column="company_telephone"/>
        <result property="position" column="position"/>
        <result property="workYear" column="work_year"/>
        <result property="salary" column="salary"/>
        <result property="remark" column="remark"/>
        <result property="isDeleted" column="is_deleted"/>
        <result property="creatorId" column="creator_id"/>
        <result property="updaterId" column="updater_id"/>
        <result property="createTime" column="create_time"/>
        <result property="updateTime" column="update_time"/>
    </resultMap>

    <sql id="Base_Column_List">
        id
        ,customer_expand_biz_id,customer_biz_id,customer_type,residence_area_code,residence_telephone,
        longtime_abroad,residence_address,residential_address,mailing_address,company_address,
        company_name,company_area_code,company_telephone,position,work_year,
        salary,remark,is_deleted,creator_id,updater_id,
        create_time,update_time
    </sql>
</mapper>
